Skip to main content
POST
/
backups
/
{backup_id}
/
create-index
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.create_index_from_backup(
    backup_id="a65ff585-d987-4da5-a622-72e19a6ed5f4",
    name="restored-index"
)
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

pc.create_index_from_backup(
    backup_id="a65ff585-d987-4da5-a622-72e19a6ed5f4",
    name="restored-index"
)

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:2026-01.alpha
required

Required date-based version header

Path Parameters

backup_id
string
required

The ID of the backup to create an index from.

Body

application/json

The desired configuration for the index created from a backup.

The configuration needed to create a Pinecone index from a backup.

name
string
required

The name of the index. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.

Required string length: 1 - 45
Example:

"example-index"

tags
object

Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.

Example:
{ "tag0": "val0", "tag1": "val1" }
deletion_protection
string
default:disabled

Whether deletion protection is enabled/disabled for the index. Possible values: disabled or enabled.

read_capacity
On-demand · object

By default the index will be created with read capacity mode OnDemand. If you prefer to allocate dedicated read nodes for your workload, you must specify mode Dedicated and additional configurations for node_type and scaling.

Example:
{ "mode": "OnDemand" }

Response

The request to create the index has been accepted.

The response for creating an index from a backup.

restore_job_id
string
required

The ID of the restore job that was created.

Example:

"670e8400-e29b-41d4-a716-446655440000"

index_id
string
required

The ID of the index that was created from the backup.

Example:

"123e4567-e89b-12d3-a456-426614174000"